# Command (SubServers.Host)

net.ME1312.SubServers.Host.API

## Class Command

- java.lang.Object
- - net.ME1312.SubServers.Host.API.Command

    public abstract class Command
    extends java.lang.Object

Command Layout Class

### Constructor Summary

Constructors
Constructor and Description
`Command(SubPluginInfo plugin)` Creates a new Command

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract void` `command(java.lang.String handle, java.lang.String[] args)` Run Command
`java.lang.String` `description()` Gets the Description of this Command
`Command` `description(java.lang.String value)` Set the Description of this Command
`java.lang.String[]` `help()` Get the Help Page for this Command
`Command` `help(java.lang.String... lines)` Set the Help Page for this Command
`SubPluginInfo` `plugin()` Gets the Plugin that registering this Command
`void` `register(java.lang.String... handles)` Register this Command
`java.lang.String[]` `usage()` Get the Usage of this Command
`Command` `usage(java.lang.String... args)` Set the Usage of this Command

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Command

    public Command(SubPluginInfo plugin)

Creates a new Command

Parameters:
  `plugin` - Plugin

### Method Detail

#### command

    public abstract void command(java.lang.String handle,
                                 java.lang.String[] args)

Run Command

Parameters:
  `handle` - Command Name
  `args` - Arguments

#### plugin

    public SubPluginInfo plugin()

Gets the Plugin that registering this Command

Returns:
  Plugin Info

#### description

    public java.lang.String description()

Gets the Description of this Command

Returns:
  Command Description

#### description

    public Command description(java.lang.String value)

Set the Description of this Command

Parameters:
  `value` - Value
Returns:
  The Command

#### help

    public java.lang.String[] help()

Get the Help Page for this Command

Returns:
  Help Page

#### help

    public Command help(java.lang.String... lines)

Set the Help Page for this Command

Parameters:
  `lines` - Help Page Lines
Returns:
  The Command

#### usage

    public java.lang.String[] usage()

Get the Usage of this Command

Returns:
  Command Usage

#### usage

    public Command usage(java.lang.String... args)

Set the Usage of this Command

Parameters:
  `args` - Argument Placeholders
Returns:
  The Command

#### register

    public void register(java.lang.String... handles)

Register this Command

Parameters:
  `handles` - Aliases